import music_kraken
from music_kraken.objects import Song, Album, Artist, Collection

if __name__ == "__main__":
    album_1 = Album(
        title="album",
        song_list=[
            Song(title="song", main_artist_list=[Artist(name="artist")]),
        ],
        artist_list=[
            Artist(name="artist 3"),
        ]
    )

    album_2 = Album(
        title="album",
        song_list=[
            Song(title="song", main_artist_list=[Artist(name="artist 2")]),
        ],
        artist_list=[
            Artist(name="artist"),
        ]
    )

    album_1.merge(album_2)

    print()
    print(*(f"{a.title_string} ; {a.id}" for a in album_1.artist_collection.data), sep=" | ")

    print(id(album_1.artist_collection), id(album_2.artist_collection))
    print(id(album_1.song_collection[0].main_artist_collection), id(album_2.song_collection[0].main_artist_collection))